#include <iostream>
#include <set>
using namespace std;

int main(){
    ios::sync_with_stdio(0);
    cin.tie(0);

    int n;
    cin >> n;

    for (int u = 0; u < n; u++){
        int k, q, ans(0);
        cin >> k >> q;
        bool a[k];

        for (int i = 0; i < k; i++)
            cin >> a[i];

        for (int i = 0; i < k; i++){
            int j = i, s(0);
            while (j < k){
                s += a[j];
                j++;
                if (s*100/(j-i) >= q)
                    ans ++;
            }
        }
        cout << ans << ' ';
    }
}


